kopano-storeadm(8)

Name
kopano-storeadm — store management utility

Synopsis
kopano-storeadm {-A guid|-C|-D|-O|-P|-R guid|-V} [-c file] [-h uri] [-k company] [-n name] [-p] [-t {user|archive|group|company}]

Description

This tool is used to manage message stores on the Kopano server. Specifically, it allows to create, delete, attach, detach such stores. The storage server must be running for kopano-storeadm to work.

Options

-A guid
    Does one of two things. With -n, an orphaned store is attached (hooked) to the account specified with -n. If the target user already has a store attached, that one will be detached first. Alternatively, when -p is used, an orphaned store is copied. See the -p option for details.

-C  Create a new store and attach it to the user account specified with -n. That account must not have an associated store yet.

-D  Detach (unhook) the store from the user account specified with -n.

-O  Shows a list of stores that are not hooked to any user. The GUIDs shown in the output can be passed to -A or -R.

-P  Create a public store. Only one public store can be created.

-R guid
    Remove an orphaned store. It actually only marks it as deleted in the database and the softdelete mechanism will remove it later on.

-V  Display the program version.

-c file
    Read config file.

-h uri
    Specify an alternate URI for connecting to a Kopano server.

-k company-name
    This sets the company name for the -P action. This option is only available for multi-tenancy Kopano.

-l locale
    When creating a new store with -C or -P, the standard folders like Inbox, Drafts, Sent Items, etc. will be translated into the chosen language. A locale name is typically of the form language[_territory], where language is an ISO-639 language code, and territory is an ISO-3166 country code, but inherently these are system-specific. On Linux systems, see locale(1) for details.

-n entity-name
    For -C and -D, specifies the user to work on. For -A, specifies the user name, group name or company name to operate on. The store type may need to be specified with -t if the implicit default "user" is not appropriate.

-p  For use with -A. Rather than attaching an orphaned store to a user account, copy the orphaned store's contents are copied into "Public Store\Admin\Deleted User - username". The orphaned store is left unmodified.

-t {user|archive|group|company}
    The store type for the entity specified with -n. If not specified, -t user is implicitly assumed.

Examples

•   Create new store for user: kopano-storeadm -Cn user1

•   Create new store with German names: kopano-storeadm -Cn user1 -l de_DE

•   Attach orphaned store to user: kopano-storeadm -A 24680B -n user2

•   Copy orphaned store to public: kopano-storeadm -A 24680B -p

•   Detach store from user: kopano-storeadm -Dn user2

•   Remove store: kopano-storeadm -R 24680B

•   Create pubilc store: kopano-storeadm -P

Configuration file

Normally, no configuration file is used or required. If the file /etc/kopano/admin.cfg exists, it is used. The following options can be set in the configuration file:

  server_socket

URI for the connection to the Kopano server.

Default: (localhost connection via socket)

  sslkey_file

Use this file as key to logon to the server. This is only used when server_socket is set to an HTTPS transport. See the kopano-server(8) manual page on how to setup SSL keys.

  sslkey_pass

The password of the SSL key file that is set in sslkey_file.